<h1 class="my-4">Adventure Book</h1>
<a type="button" class="btn" data-toggle="modal" data-target="#addCountryModal" style="align-content: center; border:solid 2px #41403E; margin-bottom: 10px;">Add New Country</a>
<div class="modal fade" id="addCountryModal" role="dialog" style="margin-top: 100px">
  {% include "addCountryModal.html" %}  
</div>
<div class="list-group list-group-root well">
  <ul class="navbar-nav navbar-sidenav" id="exampleAccordion">
    {% for country in countries %}
    <li class="nav-item" data-toggle="tooltip" data-placement="right" title="Components">
      {% if country.countryCities %}
      <i onclick="myFunction(this)" class="fa fa-chevron-right nav-link nav-link-collapse collapsed icon-btn" style="float:left;" data-toggle="collapse" href="#{{country.name}}" data-parent="#exampleAccordion"></i>
      {% endif %}
      <a class="list-group-item w3-bar-item w3-button" href="{{ url_for('country', activeCountry=country.name) }}">
        <span class="nav-link-text">{{country.name}}</span>
      </a>
      <ul class="sidenav-second-level collapse" id="{{country.name}}">
        {% for city in country.countryCities %}
        <li>
          <a class="list-group-item w3-bar-item w3-button" style="color: #5477ab;" href="{{ url_for('city', activeCountry=country.name, activeCityId=city.id) }}">{{city.name}}</a>
        </li>
        {% endfor %}
      </ul>
    </li>
    {% endfor %}
  </ul>
</div>
<a type="button" class="btn" href="{{ url_for('addTripModal')}}" style="align-content: center; border:solid 2px #41403E; margin-bottom: 10px;">Add Adventure</a>

<script>
  function myFunction(x) {
    x.classList.toggle("fa-chevron-down");
  }
</script>